<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmUnlockEvent Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmUnlockEvent Enumeration

Visual Basic
C#
C++/CLI
Types of check-in command passed to the IEdmUnlockOpCallback interface to notify the caller about what is happening while checking in files with the IEdmBatchUnlock interface.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmUnlockEvent
       Inherits System.Enum

C# |
--- | ---

    public enum EdmUnlockEvent : System.Enum

C++/CLI |
--- | ---

    public enum class EdmUnlockEvent : public System.Enum

# Members

Member | Description
--- | ---
Euev_CompressingTree | 3 = Check-in command is compressing the reference tree
Euev_ReadingFileRefs | 1 = Check-in command is reading external references from the file
Euev_UnlockFile | 2 = Check-in command is checking in a file

# See Also

####

EPDM.Interop.epdm Namespace